Bug 209346 - Frysk crashes when I choose to "Debug an existing process"
Frysk crashes when I choose to "Debug an existing process"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libgtk-java (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Stepan Kasal
Len DiMaggio
:
Depends On:
Blocks: 173278 210680
  Show dependency treegraph
 
Reported: 2006-10-04 15:10 EDT by Paolo De Nictolis
Modified: 2007-11-30 17:11 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-27 00:02:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backtrace of a Frysk crash (6.88 KB, text/plain)
2006-10-04 15:10 EDT, Paolo De Nictolis
no flags Details
Free sub regions created in Drawable using gdk_region_destroy (781 bytes, text/x-patch)
2006-10-26 21:13 EDT, Andrew Cagney
no flags Details

  None (edit)
Description Paolo De Nictolis 2006-10-04 15:10:07 EDT
Description of problem: I launch in execution Frysk Startup Manager. I select to
 "Debug an Existing Process", and I select casually various processes. Simply no
information is displayed, and program returns to main window; or, the debugger
shows me "No information available for this stack frame", then crashes.


Version-Release number of selected component (if applicable):
Version which ships with default installation of Fedora Core 6 Test 3

How reproducible:


Steps to Reproduce:
1. Launch Frysk Startup Manager
2. Choose "Debug an existing process"
3. Choose various processes, casually, till the debugger is displayed
  
Actual results:
Frysk crashes.

Expected results:


Additional info: I run Frysk from command line (/usr/bin/frysk), and when Frysk
crashed, I was able and have backtrace (see attached text file "fryskCrash".
Comment 1 Paolo De Nictolis 2006-10-04 15:10:08 EDT
Created attachment 137762 [details]
Backtrace of a Frysk crash
Comment 2 Phil Muldoon 2006-10-04 15:21:50 EDT
Hi Paolo

This sounds like the upstream bug here:

http://sourceware.org/bugzilla/show_bug.cgi?id=3116

and is tracked in upstream here:

http://bugzilla.gnome.org/show_bug.cgi?id=353298

While we investigate these issues in Java-GNOME, you can workaround it with:

G_SLICE=always-malloc ./FryskGui

Can you confirm similar results?




Comment 3 Paolo De Nictolis 2006-10-04 16:15:34 EDT
Yes, I can confirm with

G_SLICE=always-malloc /usr/bin/frysk

I'm able and run without crashes.
When I choose to "Debug an existing process", I always have "No information 
available for this stack frame", and a "Blocking" message in terminal.
In one case I had a Java NullPointerException error; sorry I wasn't able and 
take note of the specific process.
Comment 4 Andrew Cagney 2006-10-26 21:13:19 EDT
Created attachment 139544 [details]
Free sub regions created in Drawable using gdk_region_destroy

Drawable.c, when creating regions, was setting the "free" method to g_free
instead of gdk_region_destroy.
Comment 5 Andrew Cagney 2006-10-27 00:02:00 EDT
libgtk-java-2.8.7-2.fc7                   dist-fc7
libgtk-java-2.8.7-2.fc6                   dist-fc6-updates-candidate

Note You need to log in before you can comment on or make changes to this bug.